%global modname pypng

%bcond_without check

Name:               python-pypng
Version:            0.20231004.0
Release:            %mkrel 3
Summary:            Pure Python PNG image encoder/decoder
Group:              Development/Python
License:            MIT
URL:                https://pypi.org/project/pypng
Source0:            https://gitlab.com/drj11/pypng/-/archive/%{modname}-%{version}/%{modname}-%{modname}-%{version}.tar.gz
BuildArch:          noarch
BuildRequires:      pyproject-rpm-macros
BuildRequires:      python3-devel
%if %{with check}
BuildRequires:      python3-pytest
%endif

%description
PyPNG allows PNG image files to be read and written using pure Python.

It's available from github.com https://github.com/drj11/pypng

Documentation is kindly hosted by PyPI https://pythonhosted.org/pypng/

%package -n python3-pypng
Summary:            Pure Python 3 PNG image encoder/decoder
%{?python_provide:%python_provide python3-pypng}

%description -n python3-pypng
PyPNG allows PNG image files to be read and written using pure Python.

It's available from github.com https://github.com/drj11/pypng

Documentation is kindly hosted by PyPI https://pythonhosted.org/pypng/

%prep
%autosetup -n %{modname}-%{modname}-%{version}

# Remove the shebang from the main lib
lib=code/png.py
sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
touch -r $lib $lib.new &&
mv $lib.new $lib

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files png

%if %{with check}
%check
%pytest -V
%endif

%files -n python3-pypng -f %{pyproject_files}
%doc README.md LICENCE
%{_bindir}/pri*


%changelog
* Mon Feb 24 2025 wally <wally> 0.20231004.0-3.mga10
+ Revision: 2151891
- rebuild for python3.13

* Mon Feb 17 2025 daviddavid <daviddavid> 0.20231004.0-2.mga10
+ Revision: 2149215
- switch to pytest

* Mon Jan 01 2024 daviddavid <daviddavid> 0.20231004.0-1.mga10
+ Revision: 2025400
- new version: 0.20231004.0

* Fri Dec 29 2023 papoteur <papoteur> 0.20220715.0-1.mga10
+ Revision: 2023730
- new version 0.20220715.0

* Thu Sep 08 2022 neoclust <neoclust> 0.0.21-1.mga9
+ Revision: 1885615
- New version  0.0.21

* Thu Mar 24 2022 umeabot <umeabot> 0.0.20-3.mga9
+ Revision: 1824784
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.0.20-2.mga9
+ Revision: 1775579
- rebuild for python-3.10

* Mon Apr 05 2021 joequant <joequant> 0.0.20-1.mga9
+ Revision: 1713400
- update python3.9

* Fri Aug 21 2020 joequant <joequant> 0.0.18-1.mga8
+ Revision: 1617190
- imported package python-pypng

